Subject: Re: bug#34765: 26.1; with-temp-buffer should not run buffer-list-update-hook

From: martin rudalics <[email-masked]>
Date: Thu, 25 Apr 2019 10:06:18 +0200

> I meant to suggest that get-buffer-create sets this flag when the name
 > of the buffer fits the template of temporary buffers.  Exactly like it
 > does for code-conversion buffers now.

We don't have a "template of temporary buffers".  For example, a
buffer specified by the BUFNAME arg of 'with-output-to-temp-buffer'
should not match such a template.  But I'd favor a solution that skips
all buffers whose name starts with a space as we do for 'other-buffer'
or 'unbury-buffer'.  We'd just have to document it, maybe provide an
additional argument for 'buffer-list' to not return such buffers,
decide what to do when we rename them, when they visit a file, get
killed ...

martin